Pango-1.14.3 released
Posted on: 09/05/2006 09:16 AM

Pango-1.14.3 is now available for download at:

http://download.gnome.org/sources/pango/1.14/
or
ftp://ftp.gtk.org/pub/pango/1.14

afaf7128791f31b225079f73322eb67d pango-1.14.3.tar.bz2
b0904336167ab64af068b8d126bf6407 pango-1.14.3.tar.gz

This is a stable release and is source and binary compatible with 1.14.0.

About Pango
==========

Pango is a library for layout and rendering of text, with an emphasis on internationalization. Pango can be used anywhere that text layout is needed, though most of the work on Pango so far has been done in the context of the GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+-2.x.

Pango is designed to be modular; the core Pango layout engine can be used with different font backends. There are three basic backends, with multiple options for rendering with each.

- Client side fonts using the FreeType and fontconfig libraries. Rendering can be with with Cairo or Xft libraries, or directly to an in-memory buffer with no additional libraries.

- Native fonts on Microsoft Windows. (Optionally using Uniscribe for complex-text handling). Rendering can be done via Cairo or directly using the native Win32 API.

- Native fonts on MacOS X, rendering via Cairo.

The integration of Pango with Cairo (http://cairographics.org) provides a complete solution with high quality text handling and graphics rendering.

Dynamically loaded modules then handle text layout for particular combinations of script and font backend. Pango ships with a wide selection of modules, including modules for Hebrew, Arabic, Hangul, Thai, and a number of Indic scripts. Virtually all of the world's major scripts are supported.

As well as the low level layout rendering routines, Pango includes PangoLayout, a high level driver for laying out entire blocks of text, and routines to assist in editing internationalized text.

More information about Pango is available from http://www.pango.org/.
Bugs should be reported to http://bugzilla.gnome.org.

Pango 1.14 depends on version 2.10.0 or newer of the GLib library and version 1.2.2 or newer of the cairo library (if the cairo backend is desired); more information about GLib and cairo can be found at http://www.gtk.org/ and http://cairographics.org/ respectively.




Printed from Linux Compatible (http://www.linuxcompatible.org/news/story/pango_1143_released.html)